Summary:	Marc's favorite clock
Summary(de.UTF-8):	Marcs Lieblingsuhr
Summary(pl.UTF-8):	Ulubiony zegar Marca
Summary(tr.UTF-8):	Marc'ın gözde saati
Name:		xdaliclock
Version:	2.37
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://www.jwz.org/xdaliclock/%{name}-%{version}.tar.gz
# Source0-md5:	d5c5c20aa754424ee220fac5d965b91c
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-shape-cycle.patch
Patch1:		%{name}-DESTDIR.patch
URL:		http://www.jwz.org/xdaliclock/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	sed >= 4.0
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXt-devel >= 1.0.0
Requires:	xorg-lib-libXt >= 1.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_appdefsdir	%{_datadir}/X11/app-defaults

%description
The xdaliclock program displays a digital clock; when a digit changes,
it "melts" into its new shape.

It can display in 12 or 24 hour modes, and displays the date when a
mouse button is held down. It has two large fonts built into it, but
it can animate other fonts.

%description -l pl.UTF-8
Program xdaliclock wyświetla cyfrowy zegar, w którym zmieniające się
cyfry płynnie przechodzą jedna w drugą.

Może on wyświetlać czas w układzie 12 i 24 godziny. Wyświetla on także
datę kiedy przyciśnie się przycisk myszki mając kursor nad okienkiem
zegarka. W program są wbudowane dwa zestawy dużych fontów ale może on
wyświetlać inne czcionki.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%{__sed} -i 's,numbers_big,font,' X11/configure.in

%build
cp -f /usr/share/automake/config.sub .
cd X11
CFLAGS="%{rpmcflags} -D_GNU_SOURCE"
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_appdefsdir},%{_pixmapsdir},%{_desktopdir}}

cd X11
%{__make} install install-man \
	DESTDIR=$RPM_BUILD_ROOT

install XDaliClock.ad $RPM_BUILD_ROOT%{_appdefsdir}/XDaliClock
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/%{name}
%{_appdefsdir}/XDaliClock
%{_desktopdir}/xdaliclock.desktop
%{_mandir}/man1/xdaliclock.1*
%{_pixmapsdir}/xdaliclock.png
%changelog
* Sun Apr 14 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xdaliclock.git;a=log;h=master

* Sun Apr 14 2013 Lukasz Glebicki <blekot@pld-linux.org> 2b306ac
- up to 2.37

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> cc9025a
- dropped pre-cvs changelog

* Wed Aug 18 2010 lisu <lisu@pld-linux.org> 8694a15
- up to 2.35
- fix fonts finding

* Thu May 20 2010 lisu <lisu@pld-linux.org> ba3e96c
- 2.34

* Wed Apr 28 2010 lisu <lisu@pld-linux.org> 4b87573
- 2.33

* Wed Apr 21 2010 lisu <lisu@pld-linux.org> abd6338
- 2.32

* Mon Apr 19 2010 lisu <lisu@pld-linux.org> 879ebf4
- 2.31

* Mon Sep 14 2009 lisu <lisu@pld-linux.org> 60875c2
- up to 2.30

* Fri Jul 17 2009 lisu <lisu@pld-linux.org> e21905f
- poper version in previous commit log

* Fri Jul 17 2009 lisu <lisu@pld-linux.org> 3e3fd3d
- up to 2.29
- more verbose files

* Wed Jul 08 2009 lisu <lisu@pld-linux.org> f3923a0
- up to 2.28

* Tue Jun 30 2009 lisu <lisu@pld-linux.org> 1073f0c
- 2.27

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> d302e21
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Thu Nov 15 2007 lisu <lisu@pld-linux.org> 385bbe9
- ooops, automake is still needed

* Wed Nov 14 2007 lisu <lisu@pld-linux.org> e5e58bd
- 2.25

* Fri Aug 24 2007 Jakub Bogusz <qboosh@pld-linux.org> c377e41
- xorg deps

* Fri Aug 24 2007 czarny <czarny@pld-linux.org> 835bece
- th app-defaults dir

* Sun Jun 24 2007 lisu <lisu@pld-linux.org> 6100521
- 2.24

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 57dc5ce
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 3f5dbc0
- converted to UTF-8

